Fetch Multiple FX Rates

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Steps

  1. Authenticate to retrieve the bearer token.
  2. Query for a multiple rates.

📘

Live endpoint

https://api.tingg.africa/api/v3/forex/payout/conversion/fetch/all

Request

Headers

Authorization is required to access this API

KeyValue TypeDescription
AuthorizationStringBearer token generated for your user

Request Parameters

The API will accept the below query parameters

KeyValue TypeRequiredDescription
baseCurrencyCodeStringNo3 letter currency code indicating the base currency for the exchange rate. Defaults to USD

Response

Response Parameters

ParameterTypeDescription
successbooleanSuccess status of the request
statusCodeIntegerStatus of the response.
messageIntegerAuthentication description
sizeIntegerPagination size
totalItemsIntegerTotal number of currency pairs available
totalPagesIntegerNumber of pages available
pageIntegerExisting page
dataObject[]An array of currency pairs
baseCurrencyCodeStringThe currency to convert from. Null when none was found.
exchangeCurrencyCodeStringThe currency to convert to. Null when none was found.
sellRateFloatThe currency sell rate. Null when none was found.
buyRateFloatThe currency buy rate. Null when none was found.
lastUpdatedStringDate when the rate was last updated

Sample Response

{
  "success": true,
  "statusCode": 200,
  "message": "Forex rates fetched successfully.",
  "size": 10,
  "totalItems": 1,
  "totalPages": 1,
  "page": 1,
  "data": [
    {
      "baseCurrencyCode": "USD",
      "exchangeCurrencyCode": "GHS",
      "sellRate": 12.5,
      "buyRate": 10.5,
      "lastUpdated": "2025-08-05T08:37:55"
    }
  ]
}
Query Params
string
Defaults to USD
Headers
string
Defaults to <Bearer token>
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json